List SSH keys
curl --request GET \
--url https://app.oryzacloud.app/api/client/account/ssh-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.oryzacloud.app/api/client/account/ssh-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.oryzacloud.app/api/client/account/ssh-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.oryzacloud.app/api/client/account/ssh-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.oryzacloud.app/api/client/account/ssh-keys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.oryzacloud.app/api/client/account/ssh-keys")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.oryzacloud.app/api/client/account/ssh-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "ssh_key",
"attributes": {
"name": "Alanis McLaughlin",
"fingerprint": "T2b3VnvHWUmfhDOFLqzZg2VfLgqJhWxzrMUy8WZ+V8M",
"public_key": "-----BEGIN PUBLIC KEY-----\r\nMCowBQYDK2VwAyEA5pcirT00fhr3cRV2u8diJnrtaP4YEQFD2i7hbSpJibY=\r\n-----END PUBLIC KEY-----",
"created_at": "2026-09-22T14:45:23+00:00"
}
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}Chaves SSH
Listar Chaves SSH
Lista todas as chaves públicas SSH cadastradas na conta.
GET
/
api
/
client
/
account
/
ssh-keys
List SSH keys
curl --request GET \
--url https://app.oryzacloud.app/api/client/account/ssh-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.oryzacloud.app/api/client/account/ssh-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.oryzacloud.app/api/client/account/ssh-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.oryzacloud.app/api/client/account/ssh-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.oryzacloud.app/api/client/account/ssh-keys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.oryzacloud.app/api/client/account/ssh-keys")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.oryzacloud.app/api/client/account/ssh-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "ssh_key",
"attributes": {
"name": "Alanis McLaughlin",
"fingerprint": "T2b3VnvHWUmfhDOFLqzZg2VfLgqJhWxzrMUy8WZ+V8M",
"public_key": "-----BEGIN PUBLIC KEY-----\r\nMCowBQYDK2VwAyEA5pcirT00fhr3cRV2u8diJnrtaP4YEQFD2i7hbSpJibY=\r\n-----END PUBLIC KEY-----",
"created_at": "2026-09-22T14:45:23+00:00"
}
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}string
obrigatório
Chave Client API da sua conta. Você pode gerá-la em Configurações da Conta.
Resposta
string
Tipo de recurso retornado pela API (ex:
server, stats, list, api_key).object
Atributos detalhados do recurso retornado.
Exemplo de Uso
curl -X GET "https://app.oryzacloud.app/api/client/account/ssh-keys" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer SUA_CHAVE_CLIENT_API"
const response = await fetch("https://app.oryzacloud.app/api/client/account/ssh-keys", {
method: "GET",
headers: {
"Accept": "application/json",
"Content-Type": "application/json",
"Authorization": "Bearer SUA_CHAVE_CLIENT_API"
}
});
const data = await response.json();
console.log(data);